# Interface ICefContextMenuParams

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefContextMenuParams = interface(ICefBaseRefCounted)`

## Description

Provides information about the context menu state. The functions of this interface can only be accessed on browser process the UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_context_menu_handler_capi.h">CEF source file: /include/capi/cef_context_menu_handler_capi.h (cef_context_menu_params_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefContextMenuParams

## Overview

### Methods

| `function GetXCoord: Integer;`
| `function GetYCoord: Integer;`
| `function GetTypeFlags: TCefContextMenuTypeFlags;`
| `function GetLinkUrl: ustring;`
| `function GetUnfilteredLinkUrl: ustring;`
| `function GetSourceUrl: ustring;`
| `function HasImageContents: Boolean;`
| `function GetTitleText: ustring;`
| `function GetPageUrl: ustring;`
| `function GetFrameUrl: ustring;`
| `function GetFrameCharset: ustring;`
| `function GetMediaType: TCefContextMenuMediaType;`
| `function GetMediaStateFlags: TCefContextMenuMediaStateFlags;`
| `function GetSelectionText: ustring;`
| `function GetMisspelledWord: ustring;`
| `function GetDictionarySuggestions(const suggestions: TStringList): Boolean;`
| `function IsEditable: Boolean;`
| `function IsSpellCheckEnabled: Boolean;`
| `function GetEditStateFlags: TCefContextMenuEditStateFlags;`
| `function IsCustomMenu: Boolean;`

### Properties

| `property XCoord : Integer read GetXCoord;`
| `property YCoord : Integer read GetYCoord;`
| `property TypeFlags : TCefContextMenuTypeFlags read GetTypeFlags;`
| `property LinkUrl : ustring read GetLinkUrl;`
| `property UnfilteredLinkUrl : ustring read GetUnfilteredLinkUrl;`
| `property SourceUrl : ustring read GetSourceUrl;`
| `property TitleText : ustring read GetTitleText;`
| `property PageUrl : ustring read GetPageUrl;`
| `property FrameUrl : ustring read GetFrameUrl;`
| `property FrameCharset : ustring read GetFrameCharset;`
| `property MediaType : TCefContextMenuMediaType read GetMediaType;`
| `property MediaStateFlags : TCefContextMenuMediaStateFlags read GetMediaStateFlags;`
| `property SelectionText : ustring read GetSelectionText;`
| `property MisspelledWord : ustring read GetMisspelledWord;`
| `property EditStateFlags : TCefContextMenuEditStateFlags read GetEditStateFlags;`

## Description

### Methods

| `function GetXCoord: Integer;`
Returns the X coordinate of the mouse where the context menu was invoked. Coords are relative to the associated RenderView's origin. ###### Attributes GUID['{E31BFA9E-D4E2-49B7-A05D-20018C8794EB}']

| `function GetYCoord: Integer;`
Returns the Y coordinate of the mouse where the context menu was invoked. Coords are relative to the associated RenderView's origin.

| `function GetTypeFlags: TCefContextMenuTypeFlags;`
Returns flags representing the type of node that the context menu was invoked on.

| `function GetLinkUrl: ustring;`
Returns the URL of the link, if any, that encloses the node that the context menu was invoked on.

| `function GetUnfilteredLinkUrl: ustring;`
Returns the link URL, if any, to be used ONLY for "copy link address". We don't validate this field in the frontend process.

| `function GetSourceUrl: ustring;`
Returns the source URL, if any, for the element that the context menu was invoked on. Example of elements with source URLs are img, audio, and video.

| `function HasImageContents: Boolean;`
Returns true (1) if the context menu was invoked on an image which has non-NULL contents.

| `function GetTitleText: ustring;`
Returns the title text or the alt text if the context menu was invoked on an image.

| `function GetPageUrl: ustring;`
Returns the URL of the top level page that the context menu was invoked on.

| `function GetFrameUrl: ustring;`
Returns the URL of the subframe that the context menu was invoked on.

| `function GetFrameCharset: ustring;`
Returns the character encoding of the subframe that the context menu was invoked on.

| `function GetMediaType: TCefContextMenuMediaType;`
Returns the type of context node that the context menu was invoked on.

| `function GetMediaStateFlags: TCefContextMenuMediaStateFlags;`
Returns flags representing the actions supported by the media element, if any, that the context menu was invoked on.

| `function GetSelectionText: ustring;`
Returns the text of the selection, if any, that the context menu was invoked on.

| `function GetMisspelledWord: ustring;`
Returns the text of the misspelled word, if any, that the context menu was invoked on.

| `function GetDictionarySuggestions(const suggestions: TStringList): Boolean;`
Returns true (1) if suggestions exist, false (0) otherwise. Fills in |suggestions| from the spell check service for the misspelled word if there is one.

| `function IsEditable: Boolean;`
Returns true (1) if the context menu was invoked on an editable node.

| `function IsSpellCheckEnabled: Boolean;`
Returns true (1) if the context menu was invoked on an editable node where spell-check is enabled.

| `function GetEditStateFlags: TCefContextMenuEditStateFlags;`
Returns flags representing the actions supported by the editable node, if any, that the context menu was invoked on.

| `function IsCustomMenu: Boolean;`
Returns true (1) if the context menu contains items specified by the renderer process.

### Properties

| `property XCoord : Integer read GetXCoord;`
Returns the X coordinate of the mouse where the context menu was invoked. Coords are relative to the associated RenderView's origin.

| `property YCoord : Integer read GetYCoord;`
Returns the Y coordinate of the mouse where the context menu was invoked. Coords are relative to the associated RenderView's origin.

| `property TypeFlags : TCefContextMenuTypeFlags read GetTypeFlags;`
Returns flags representing the type of node that the context menu was invoked on.

| `property LinkUrl : ustring read GetLinkUrl;`
Returns the URL of the link, if any, that encloses the node that the context menu was invoked on.

| `property UnfilteredLinkUrl : ustring read GetUnfilteredLinkUrl;`
Returns the link URL, if any, to be used ONLY for "copy link address". We don't validate this field in the frontend process.

| `property SourceUrl : ustring read GetSourceUrl;`
Returns the source URL, if any, for the element that the context menu was invoked on. Example of elements with source URLs are img, audio, and video.

| `property TitleText : ustring read GetTitleText;`
Returns the title text or the alt text if the context menu was invoked on an image.

| `property PageUrl : ustring read GetPageUrl;`
Returns the URL of the top level page that the context menu was invoked on.

| `property FrameUrl : ustring read GetFrameUrl;`
Returns the URL of the subframe that the context menu was invoked on.

| `property FrameCharset : ustring read GetFrameCharset;`
Returns the character encoding of the subframe that the context menu was invoked on.

| `property MediaType : TCefContextMenuMediaType read GetMediaType;`
Returns the type of context node that the context menu was invoked on.

| `property MediaStateFlags : TCefContextMenuMediaStateFlags read GetMediaStateFlags;`
Returns flags representing the actions supported by the media element, if any, that the context menu was invoked on.

| `property SelectionText : ustring read GetSelectionText;`
Returns the text of the selection, if any, that the context menu was invoked on.

| `property MisspelledWord : ustring read GetMisspelledWord;`
Returns the text of the misspelled word, if any, that the context menu was invoked on.

| `property EditStateFlags : TCefContextMenuEditStateFlags read GetEditStateFlags;`
Returns flags representing the actions supported by the editable node, if any, that the context menu was invoked on.

Generated by PasDoc 0.16.0-snapshot.